#pragma once
#include "mof/sound/SoundBuffer.hpp"
#include <memory>


namespace mof{
namespace sound
{
	class DirectSoundDevice;
}
	class StaticSoundBuffer : public SoundBuffer
	{
	public:
		StaticSoundBuffer(std::shared_ptr<sound::DirectSoundDevice> pDevice, LPDIRECTSOUNDBUFFER8 pBuffer , SoundFile* pResource);
		virtual ~StaticSoundBuffer(void);
		virtual bool initialize();
		virtual bool play(bool looping);
		virtual void pause();
		virtual void stop();
		std::unique_ptr<StaticSoundBuffer> duplicate();
	};

};
